Bug 51679 - Code signature key expired
Summary: Code signature key expired
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.19
Hardware: All All
: P2 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2011-08-18 13:29 UTC by Brunzema
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brunzema 2011-08-18 13:29:47 UTC
The signing key for httpd-2.2.19.tar.gz.asc seems to have expired:

gpg -v --verify httpd-2.2.19.tar.gz.asc
gpg: armor header: Version: GnuPG v1.4.9 (GNU/Linux)
gpg: assuming signed data in `httpd-2.2.19.tar.gz'
gpg: Signature made Fri 20 May 2011 07:02:24 PM CEST using RSA key ID 7F7214A7
                                                                      ^^^^^^^^
gpg: NOTE: signature key CB9B9EC5 expired Fri 03 Jul 2009 05:21:46 PM CEST
gpg: NOTE: signature key 7F7214A7 expired Sat 09 Jul 2011 02:54:10 AM CEST
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
gpg: using subkey 7F7214A7 instead of primary key B55D9977
gpg: NOTE: signature key 7F7214A7 expired Sat 09 Jul 2011 02:54:10 AM CEST
gpg: NOTE: signature key CB9B9EC5 expired Fri 03 Jul 2009 05:21:46 PM CEST
gpg: NOTE: signature key 7F7214A7 expired Sat 09 Jul 2011 02:54:10 AM CEST
gpg: using PGP trust model
gpg: Good signature from "William A. Rowe, Jr. <wrowe@rowe-clan.net>"
gpg:                 aka "William A. Rowe, Jr. <wrowe@apache.org>"
gpg:                 aka "William A. Rowe, Jr. <wrowe@vmware.com>"
gpg:                 aka "William A. Rowe, Jr. <william.rowe@springsource.com>"
gpg: NOTE: signature key CB9B9EC5 expired Fri 03 Jul 2009 05:21:46 PM CEST
gpg: NOTE: signature key 7F7214A7 expired Sat 09 Jul 2011 02:54:10 AM CEST
gpg: Note: This key has expired!
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Primary key fingerprint: B1B9 6F45 DFBD CCF9 7401  9235 193F 180A B55D 9977
     Subkey fingerprint: 4962 0827 E32B C882 DC6B  EF54 A348 B984 7F72 14A7
gpg: binary signature, digest algorithm SHA1
Comment 1 William A. Rowe Jr. 2018-11-07 21:09:06 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.